import { PropType, Ref } from 'vue';
import { WidgetParams, WidgetTheme } from '@widget-js/core';
import { RemovableRef } from '@vueuse/shared';
import { WidgetConfigOption } from '../../model/WidgetConfigOption';

declare const _default: import('vue').DefineComponent<{
    /**
     * label width
     */
    labelWidth: {
        type: StringConstructor;
    };
    /**
     * widget params, typically from url.
     * @see WidgetParams
     */
    widgetParams: {
        type: typeof WidgetParams;
        required: true;
    };
    /**
     * widget config option.
     */
    option: {
        type: PropType<WidgetConfigOption>;
        required: true;
    };
}, {
    activeName: Ref<string>;
    widgetTheme: RemovableRef<WidgetTheme>;
}, unknown, {
    windowTitle(): any;
}, {
    onCancelClick(): void;
    updateModel(): void;
    onConfirmClick(): void;
}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, ("cancel" | "onThemeChanged" | "confirm" | "apply")[], "cancel" | "onThemeChanged" | "confirm" | "apply", import('vue').PublicProps, Readonly<import('vue').ExtractPropTypes<{
    /**
     * label width
     */
    labelWidth: {
        type: StringConstructor;
    };
    /**
     * widget params, typically from url.
     * @see WidgetParams
     */
    widgetParams: {
        type: typeof WidgetParams;
        required: true;
    };
    /**
     * widget config option.
     */
    option: {
        type: PropType<WidgetConfigOption>;
        required: true;
    };
}>> & {
    onCancel?: ((...args: any[]) => any) | undefined;
    onOnThemeChanged?: ((...args: any[]) => any) | undefined;
    onConfirm?: ((...args: any[]) => any) | undefined;
    onApply?: ((...args: any[]) => any) | undefined;
}, {}, {}>;
export default _default;
//# sourceMappingURL=WidgetEditDialog.vue.d.ts.map