import { CubicBezierPoints, EasingFunction, RemoveableRef } from '@vueuse/core';
import { MaybeRef, Ref } from 'vue';
import { StickEdge } from './useDefaultOverlapContextMenu';

export interface UseStickScreenEdgeOptions {
    /**
     * 状态存储
     * @see [useStorage](https://vueuse.org/core/useStorage)
     */
    storageKey: string;
    /**
     * 预留在屏幕边缘的大小
     */
    peakSize?: number;
    transition?: MaybeRef<EasingFunction | CubicBezierPoints>;
}
export interface UseStickScreenEdgeReturn {
    showWindow: (edge?: StickEdge) => Promise<void>;
    hideWindow: (edge?: StickEdge) => Promise<void>;
    startHideWindow: () => void;
    isShowed: Ref<boolean>;
    isAutoHide: RemoveableRef<boolean>;
    correctPosition: () => Promise<void>;
    checkHideWindow: () => Promise<void>;
    calcEdge: () => Promise<StickEdge>;
    stickToEdge: (edge?: StickEdge) => Promise<void>;
    stickEdge: Ref<StickEdge>;
}
export declare function useStickScreenEdge(options: UseStickScreenEdgeOptions): UseStickScreenEdgeReturn;
//# sourceMappingURL=useStickScreenEdge.d.ts.map