import { BroadcastEvent, WidgetParams, WidgetTheme } from '@widget-js/core';
import { ComputedRef, Ref } from 'vue';
import { RemovableRef } from '@vueuse/shared';
import { UseDefaultOverlapContextMenuOption } from '.';
import { UseWidgetParamsOptions } from './useWidgetParams';
import { UseWidgetThemeOptions } from './useWidgetTheme';

export interface UseWidgetOptions extends UseWidgetParamsOptions, UseWidgetThemeOptions {
    /**
     * 组件id，如果不传默认使用WidgetParams里的id
     */
    widgetId?: string;
    /**
     * 组件名，如果不传默认使用WidgetParams里的name
     */
    widgetName?: string;
    defaultOverlapMenu?: boolean | UseDefaultOverlapContextMenuOption;
    useBroadcastEvent?: string[];
    onBroadcastEvent?: (broadcastEvent: BroadcastEvent) => void;
}
export interface UseWidgetReturn {
    widgetParams: WidgetParams;
    widgetTheme: RemovableRef<WidgetTheme>;
    dataLoaded: Ref<boolean>;
    sizeStyle: ComputedRef<{
        width: string;
        height: string;
    }>;
    save: (saveOptions?: SaveOptions) => Promise<void>;
}
export interface SaveOptions {
    closeWindow?: boolean;
    sendBroadcast?: boolean;
}
export declare function useWidget(options?: UseWidgetOptions): UseWidgetReturn;
export declare function useWidgetScale(width: number, height: number, widgetWidth: number, widgetHeight: number): number;
//# sourceMappingURL=useWidget.d.ts.map