import { SpringOptions } from 'popmotion';
import { CubicBezierPoints, EasingFunction } from '@vueuse/core';
import { MaybeRef } from 'vue';

export interface UseWindowAnimationOptions {
    spring?: Exclude<SpringOptions, 'from' | 'to' | 'duration'>;
    duration?: MaybeRef<number>;
    /**
     * Easing function or cubic bezier points for calculating transition values
     */
    transition?: MaybeRef<EasingFunction | CubicBezierPoints>;
    onComplete?: () => void;
    onStop?: () => void;
    onStart?: () => void;
}
export declare function useWindowAnimationY(options: UseWindowAnimationOptions): {
    animate: (y: number) => Promise<void>;
};
export declare function useWindowAnimationX(options: UseWindowAnimationOptions): {
    animate: (x: number) => Promise<void>;
};
//# sourceMappingURL=useWindowAnimation.d.ts.map