import { WidgetParams } from '@widget-js/core';
import { WidgetConfigOption } from '../../../model/WidgetConfigOption';

declare const _default: {
    title: string;
    component: import('vue').DefineComponent<{
        labelWidth: {
            type: StringConstructor;
        };
        widgetParams: {
            type: typeof WidgetParams;
            required: true;
        };
        option: {
            type: import('vue').PropType<WidgetConfigOption>;
            required: true;
        };
    }, {
        activeName: import('vue').Ref<string>;
        widgetTheme: import('@vueuse/shared').RemovableRef<import('@widget-js/core').WidgetTheme>;
    }, unknown, {
        windowTitle(): any;
    }, {
        onCancelClick(): void;
        updateModel(): void;
        onConfirmClick(): void;
    }, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, ("cancel" | "onThemeChanged" | "confirm" | "apply")[], "cancel" | "onThemeChanged" | "confirm" | "apply", import('vue').PublicProps, Readonly<import('vue').ExtractPropTypes<{
        labelWidth: {
            type: StringConstructor;
        };
        widgetParams: {
            type: typeof WidgetParams;
            required: true;
        };
        option: {
            type: import('vue').PropType<WidgetConfigOption>;
            required: true;
        };
    }>> & {
        onCancel?: ((...args: any[]) => any) | undefined;
        onOnThemeChanged?: ((...args: any[]) => any) | undefined;
        onConfirm?: ((...args: any[]) => any) | undefined;
        onApply?: ((...args: any[]) => any) | undefined;
    }, {}, {}>;
    argTypes: {};
};
export default _default;
export declare function Default(args: any): {
    components: {
        WidgetEditDialog: import('vue').DefineComponent<{
            labelWidth: {
                type: StringConstructor;
            };
            widgetParams: {
                type: typeof WidgetParams;
                required: true;
            };
            option: {
                type: import('vue').PropType<WidgetConfigOption>;
                required: true;
            };
        }, {
            activeName: import('vue').Ref<string>;
            widgetTheme: import('@vueuse/shared').RemovableRef<import('@widget-js/core').WidgetTheme>;
        }, unknown, {
            windowTitle(): any;
        }, {
            onCancelClick(): void;
            updateModel(): void;
            onConfirmClick(): void;
        }, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, ("cancel" | "onThemeChanged" | "confirm" | "apply")[], "cancel" | "onThemeChanged" | "confirm" | "apply", import('vue').PublicProps, Readonly<import('vue').ExtractPropTypes<{
            labelWidth: {
                type: StringConstructor;
            };
            widgetParams: {
                type: typeof WidgetParams;
                required: true;
            };
            option: {
                type: import('vue').PropType<WidgetConfigOption>;
                required: true;
            };
        }>> & {
            onCancel?: ((...args: any[]) => any) | undefined;
            onOnThemeChanged?: ((...args: any[]) => any) | undefined;
            onConfirm?: ((...args: any[]) => any) | undefined;
            onApply?: ((...args: any[]) => any) | undefined;
        }, {}, {}>;
    };
    setup(): any;
    template: string;
};
export declare function CustomOnly(args: any): {
    components: {
        WidgetEditDialog: import('vue').DefineComponent<{
            labelWidth: {
                type: StringConstructor;
            };
            widgetParams: {
                type: typeof WidgetParams;
                required: true;
            };
            option: {
                type: import('vue').PropType<WidgetConfigOption>;
                required: true;
            };
        }, {
            activeName: import('vue').Ref<string>;
            widgetTheme: import('@vueuse/shared').RemovableRef<import('@widget-js/core').WidgetTheme>;
        }, unknown, {
            windowTitle(): any;
        }, {
            onCancelClick(): void;
            updateModel(): void;
            onConfirmClick(): void;
        }, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, ("cancel" | "onThemeChanged" | "confirm" | "apply")[], "cancel" | "onThemeChanged" | "confirm" | "apply", import('vue').PublicProps, Readonly<import('vue').ExtractPropTypes<{
            labelWidth: {
                type: StringConstructor;
            };
            widgetParams: {
                type: typeof WidgetParams;
                required: true;
            };
            option: {
                type: import('vue').PropType<WidgetConfigOption>;
                required: true;
            };
        }>> & {
            onCancel?: ((...args: any[]) => any) | undefined;
            onOnThemeChanged?: ((...args: any[]) => any) | undefined;
            onConfirm?: ((...args: any[]) => any) | undefined;
            onApply?: ((...args: any[]) => any) | undefined;
        }, {}, {}>;
    };
    setup(): any;
    template: string;
};
export declare function ThemeOnly(args: any): {
    components: {
        WidgetEditDialog: import('vue').DefineComponent<{
            labelWidth: {
                type: StringConstructor;
            };
            widgetParams: {
                type: typeof WidgetParams;
                required: true;
            };
            option: {
                type: import('vue').PropType<WidgetConfigOption>;
                required: true;
            };
        }, {
            activeName: import('vue').Ref<string>;
            widgetTheme: import('@vueuse/shared').RemovableRef<import('@widget-js/core').WidgetTheme>;
        }, unknown, {
            windowTitle(): any;
        }, {
            onCancelClick(): void;
            updateModel(): void;
            onConfirmClick(): void;
        }, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, ("cancel" | "onThemeChanged" | "confirm" | "apply")[], "cancel" | "onThemeChanged" | "confirm" | "apply", import('vue').PublicProps, Readonly<import('vue').ExtractPropTypes<{
            labelWidth: {
                type: StringConstructor;
            };
            widgetParams: {
                type: typeof WidgetParams;
                required: true;
            };
            option: {
                type: import('vue').PropType<WidgetConfigOption>;
                required: true;
            };
        }>> & {
            onCancel?: ((...args: any[]) => any) | undefined;
            onOnThemeChanged?: ((...args: any[]) => any) | undefined;
            onConfirm?: ((...args: any[]) => any) | undefined;
            onApply?: ((...args: any[]) => any) | undefined;
        }, {}, {}>;
    };
    setup(): any;
    template: string;
};
export declare function ShowFooter(args: any): {
    components: {
        WidgetEditDialog: import('vue').DefineComponent<{
            labelWidth: {
                type: StringConstructor;
            };
            widgetParams: {
                type: typeof WidgetParams;
                required: true;
            };
            option: {
                type: import('vue').PropType<WidgetConfigOption>;
                required: true;
            };
        }, {
            activeName: import('vue').Ref<string>;
            widgetTheme: import('@vueuse/shared').RemovableRef<import('@widget-js/core').WidgetTheme>;
        }, unknown, {
            windowTitle(): any;
        }, {
            onCancelClick(): void;
            updateModel(): void;
            onConfirmClick(): void;
        }, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, ("cancel" | "onThemeChanged" | "confirm" | "apply")[], "cancel" | "onThemeChanged" | "confirm" | "apply", import('vue').PublicProps, Readonly<import('vue').ExtractPropTypes<{
            labelWidth: {
                type: StringConstructor;
            };
            widgetParams: {
                type: typeof WidgetParams;
                required: true;
            };
            option: {
                type: import('vue').PropType<WidgetConfigOption>;
                required: true;
            };
        }>> & {
            onCancel?: ((...args: any[]) => any) | undefined;
            onOnThemeChanged?: ((...args: any[]) => any) | undefined;
            onConfirm?: ((...args: any[]) => any) | undefined;
            onApply?: ((...args: any[]) => any) | undefined;
        }, {}, {}>;
    };
    setup(): any;
    template: string;
};
//# sourceMappingURL=WidgetEditDialog.stories.d.ts.map